SET SERVER=localhost
SET DATABASE="TEMP"

@echo off
set /p answer=This deletes THE WHOLE %DATABASE% DATABASE on Server %SERVER%, are you REALLY sure? (Y/N)

if /i {%ANSWER%}=={y} (goto :yes)
if /i {%ANSWER%}=={Y} (goto :yes)
goto :no

:yes
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_DATABASE.sql

sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_STRUCTURE.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_INSERT_DEPENDENCYTYPES.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_INSERT_UNCLAIMED.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_INDICES.sql

sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_UTILS.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_VIEWS.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_DELETIONLOG.sql

sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_DELETE.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_RELEVANCY.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_CLEANUP.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_STATISTICS.sql
sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_RETENTIONTIME.sql

set aspTool="%WINDIR%\Microsoft.NET\Framework\v4.0.30319\aspnet_regsql.exe"

%ASPTOOL% -E -S %SERVER% -d %DATABASE% -ed
%ASPTOOL% -E -S %SERVER% -d %DATABASE% -t "DependencyPart" -et

sqlcmd -E -S%SERVER% -d%DATABASE% -iSETUP_DEPENDDB_CACHENOTIFICATIONS.sql

:no
pause
