PRINT 'INSERTING DEPENDDB DEPENDENCY TYPES'

-- Insert dependency categories
INSERT DependencyCategory (Id, TraverseIndirectDependencies, TraverseInBothDirections, ShowDirectCountInSummary, ShowIndirectCountInSummary) VALUES (N'Implementation', 1, 0, 1, 1)
INSERT DependencyCategory (Id, TraverseIndirectDependencies, TraverseInBothDirections, ShowDirectCountInSummary, ShowIndirectCountInSummary) VALUES (N'Usage',          0, 0, 1, 0)
INSERT DependencyCategory (Id, TraverseIndirectDependencies, TraverseInBothDirections, ShowDirectCountInSummary, ShowIndirectCountInSummary) VALUES (N'Mixin',          0, 1, 1, 0)

-- Insert dependency types
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'Inheritance',                    N'Implementation', N'inherits from {0}', N'is inherited by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'Implementation',                 N'Implementation', N'implements {0}', N'is implemented by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MemberOverride',                 N'Implementation', N'overrides {0}', N'is overridden by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MemberImplementation',           N'Implementation', N'implements {0}', N'is implemented by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'Instantiation',                  N'Usage',          N'instantiates {0}', N'is instantiated by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'GenericTypeInstantiation',       N'Usage',          N'uses {0} as a generic type parameter', N'is used by {0} as a generic type parameter')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'GenericParameterConstraint',     N'Usage',          N'uses {0} in a generic parameter constraint', N'is used by {0} in a generic parameter constraint')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'TypeOf',                         N'Usage',          N'uses {0} in typeof operator', N'is used by {0} in typeof operator')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'IsInst',                         N'Usage',          N'uses {0} in a type check', N'is used by {1] in a type check')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'AttributeUsage',                 N'Usage',          N'uses {0} as attribute', N'is used by {0} as attribute')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'LocalVariableDefinition',        N'Usage',          N'defines a local variable of type {0}', N'is used by {0} as type of a local variable')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'AttributeParameter',             N'Usage',          N'uses {0} as attribute parameter', N'is used by {0} as attribute parameter')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MethodParameter',                N'Usage',          N'has a parameter of type {0}', N'is type of a parameter of {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MethodReturnType',               N'Usage',          N'has {0} as return type', N'is used as return type of {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'Cast',                           N'Usage',          N'uses {0} in a cast', N'is used by {0} in a cast')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MethodCall',                     N'Usage',          N'calls {0}', N'is called by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'StaticMethodCall',               N'Usage',          N'statically calls {0}', N'is statically called by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'CatchException',                 N'Usage',          N'catches exceptions of type {0}', N'is caught by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'PropertyDefinition',             N'Usage',          N'uses {0} as property type', N'is used as type of property {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'PropertyParameterDefinition',    N'Usage',          N'uses {0} as parameter type', N'is used as parameter type of property {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'FieldDefinition',                N'Usage',          N'uses {0} as field type', N'is used as type of field {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'FieldAccess',                    N'Usage',          N'accesses {0}', N'is accessed by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'StaticFieldAccess',              N'Usage',          N'statically accesses {0}', N'is statically accessed by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'EventDefinition',                N'Usage',          N'uses {0} as event type', N'is used as type of event {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MixinExtends',                   N'Mixin',          N'extends {0}', N'is extended by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MixinUsedBy',                    N'Mixin',          N'is used by {0}', N'uses {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MixinOverrideTarget',            N'Mixin',          N'overrides {0} in target', N'in target is overridden by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MixinOverrideMixin',             N'Mixin',          N'overrides {0} in mixin', N'in mixin is overridden by {0}')
INSERT DependencyType (Name, Category, ForwardDescription, BackwardDescription) VALUES (N'MixinDynamicTypeImplementation', N'Mixin',          N'dynamically implements {0}', N'is dynamically implemented by {0}')
GO
